MultiCubicSpline< i > Class Template Reference

N-dimensional cubic spline interpolation between discrete points. More...

`#include <ql/math/interpolations/multicubicspline.hpp>`

## Public Types

typedef c_splint::argument_type | argument_type
typedef c_splint::result_type | result_type
typedef c_splint::data_table | data_table
typedef c_splint::return_type | return_type
typedef c_splint::output_data | output_data
typedef c_splint::dimensions | dimensions
typedef c_splint::data | data

## Public Member Functions

| MultiCubicSpline (const SplineGrid &grid, const data_table &y, const std::vector< bool > &ae=std::vector< bool >(20, false))
result_type | operator() (const argument_type &x) const
void | set_shared_increments () const
void | set_shared_coefficients (const argument_type &x) const

## Detailed Description

### template<Size i>
class QuantLib::MultiCubicSpline< i >

N-dimensional cubic spline interpolation between discrete points.

Tests:
  interpolated values are checked against the original function.

Bug:
  cannot interpolate at the grid points on the boundary surface of the N-dimensional region